### Method

# Vips Source decode

#### Declaration [src]

    int
    vips_source_decode (
      VipsSource* source
    )

#### Description [src]

Signal the end of header read and the start of the pixel decode phase. After this, you can no longer seek on this source.

Loaders should call this at the end of header read.

See also

`vips_source_unminimise()`.

#### Return value

Type: `int`

0 on success, -1 on error.